# hashBucket_s Struct Reference

## Data Fields
voidptr | key
voidptr * | data
int | dataCount
hashBucket | next

## Detailed Description

Definition at line 17 of file rpmhash.c.

## Field Documentation

voidptr* hashBucket_s::data

pointer to hashed data

Definition at line 19 of file rpmhash.c.

int hashBucket_s::dataCount

length of data (0 if unknown)

Definition at line 20 of file rpmhash.c.

voidptr hashBucket_s::key

hash key

Definition at line 18 of file rpmhash.c.

hashBucket hashBucket_s::next

pointer to next item in bucket

Definition at line 21 of file rpmhash.c.

The documentation for this struct was generated from the following file:

- rpmdb/rpmhash.c